Subject: bug#38026: [PATCH] Explain negative NABS in `goto-history-element'.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Nov 2019 10:03:19 +0200

> From: Hong Xu <[email-masked]>
> Date: Fri, 01 Nov 2019 18:08:38 -0700
> 
> 
> --- a/doc/lispref/minibuf.texi
> +++ b/doc/lispref/minibuf.texi
> @@ -2339,6 +2339,11 @@ Minibuffer Commands
>  minibuffer.  The argument @var{nabs} specifies the absolute history
>  position in descending order, where 0 means the current element and a
>  positive number @var{n} means the @var{n}th previous element.
> +
> +@{nabs} being a negative number @var{n} means the @var{n-1}th element
> +of @code{minibuffer-default} if it is a list, or otherwise the value
> +of @code{minibuffer-default}.  This is usually an intelligent guess of
> +what the user intends to input."

Thanks, but I don't see how this clarifies the issue.  Can you tell
more about your motivation?